#include "omp.h"
#include "stdio.h"

const int Size = 10;

int main(int argc, char *argv[])
{
  int a, b;
  double d;
  int mas[Size];
  int i;

  a = 10;
  b = 20;
  for (i = 0; i < Size; i++)
  {
    mas[i] = i;
  }

  omp_set_num_threads(3);
  omp_set_num_threads(5);
//  omp_set_num_threads(2);
  #pragma omp parallel firstprivate(mas) 
  {
    int id;
    int n;
    #pragma omp sections
    {
      #pragma omp section
      {
        n = 0;
        id = omp_get_thread_num();
        printf("\n id = %d %d", id, n);
      }
      #pragma omp section
      {
        n = 1;
        id = omp_get_thread_num();
        printf("\n id = %d %d", id, n);
      }
      #pragma omp section
      {
        n = 2;
        id = omp_get_thread_num();
        printf("\n id = %d %d", id, n);
      }
    }
  }
  printf("\n");


  return 0;
}